Page MenuHomePhabricator

add tftpd monitoring
Closed, ResolvedPublic

Description

Today we encountered a condition where PXE boot was broken (system would hang with a blank screen after pressing F12) and the cause was a crashed tftpd on install1002. Creating a task to implement some basic monitoring of the tftp service to avoid similar surprises in the future.

Details

Related Gerrit Patches:

Event Timeline

herron created this task.Mar 22 2018, 6:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2018, 6:42 PM
Dzahn claimed this task.Mar 31 2018, 7:53 PM
Dzahn moved this task from Inbox to Up next on the observability board.

Change 423725 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] install_server: add Icinga monitoring for TFTP service

https://gerrit.wikimedia.org/r/423725

Change 423725 merged by Dzahn:
[operations/puppet@production] install_server: add Icinga monitoring for TFTP service

https://gerrit.wikimedia.org/r/423725

Dzahn closed this task as Resolved.Apr 3 2018, 4:48 PM

done! see the link above

Dzahn reopened this task as Open.Apr 3 2018, 6:24 PM

reverted puppet change

Dzahn changed the task status from Open to Stalled.Apr 3 2018, 6:27 PM

Change 425131 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] installserver: add monitoring for TFTP

https://gerrit.wikimedia.org/r/425131

Change 425131 merged by Dzahn:
[operations/puppet@production] installserver: add monitoring for TFTP

https://gerrit.wikimedia.org/r/425131

Dzahn closed this task as Resolved.Apr 9 2018, 9:51 PM
Dzahn moved this task from Up next to Done on the observability board.May 14 2018, 2:56 PM